> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onecodex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Analysis Output File Details

GET the list of files produced by an analysis in JSON format, along with their sizes and pre-signed URLs.


## OpenAPI

````yaml GET /api/v1/analyses/{id}/file_details
openapi: 3.0.0
info:
  title: One Codex API (v1)
  description: >-
    The One Codex API (v1) -- programmatic access to One Codex's suite of
    microbial genomics data storage, analysis, and query tools.
  version: v1
servers:
  - url: https://app.onecodex.com
security:
  - apiKeyAuth: []
paths:
  /api/v1/analyses/{id}/file_details:
    get:
      summary: GET analyses file_details
      operationId: get_analyses_file_details
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  files:
                    type: array
                    default: []
                    items:
                      type: object
                      properties:
                        filename:
                          type: string
                          description: The filename of the output file.
                        size:
                          type: integer
                          description: File size in bytes.
                        url:
                          type: string
                          description: Pre-signed download URL.
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````